#include "Strukturen.h"

// Inhalt der SpielerTeamStruktur Struktur aus Strukturen.h
SpielerTeamStruktur::SpielerTeamStruktur()
{
	spielerAnzahl = 0;
	teamAnzahl = 0;
	spielerFarbe = new Array< int >();
	teamFarbe = new Array< int >();
	teamName = new RCArray< Text >();
	teamSize = new Array< int >();
	ref = 1;
}

SpielerTeamStruktur::~SpielerTeamStruktur()
{
	spielerFarbe->release();
	teamFarbe->release();
	teamName->release();
	teamSize->release();
}

SpielerTeamStruktur *SpielerTeamStruktur::getThis()
{
	ref++;
	return this;
}

SpielerTeamStruktur *SpielerTeamStruktur::release()
{
	ref--;
	if( !ref )
		delete this;
	return 0;
}